> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List team roles



## OpenAPI

````yaml /swagger.yaml get /roles
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /roles:
    get:
      tags:
        - Team Role
      summary: List team roles
      operationId: team_roles#list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teamRoles'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    teamRoles:
      type: array
      items:
        $ref: '#/components/schemas/teamRole'
    error:
      type: object
      properties:
        error:
          type: string
    teamRole:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        name:
          type: string
        position:
          type: integer
        admin:
          type: boolean
        external:
          type: boolean
        accounting:
          type: string
          enum:
            - edit
            - view
            - no_access
        accounting_and_invoices:
          type: string
          enum:
            - 'on'
            - 'off'
        add_and_manage_items:
          type: string
          enum:
            - 'on'
            - 'off'
        area_plans:
          type: string
          enum:
            - edit
            - view
            - no_access
        bi_dashboards:
          type: string
          enum:
            - edit
            - view
            - no_access
        budgeting:
          type: string
          enum:
            - edit
            - view
            - no_access
        contacts:
          type: string
          enum:
            - edit
            - view
            - no_access
        cross_project_saved_views:
          type: string
          enum:
            - edit
            - view
            - no_access
        dashboard_and_recycle_bin:
          type: string
          enum:
            - edit
            - view
            - no_access
        default_schedule_column_permission:
          type: string
          enum:
            - edit
            - view
            - no_access
        download_report:
          type: string
          enum:
            - 'on'
            - 'off'
        exchange_rates:
          type: string
          enum:
            - edit
            - view
            - no_access
        integrations:
          type: string
          enum:
            - edit
            - view
            - no_access
        library:
          type: string
          enum:
            - edit
            - view
            - no_access
        library_editor:
          type: string
          enum:
            - edit
            - view
            - no_access
        lock_unlock_items:
          type: string
          enum:
            - 'on'
            - 'off'
        moodboards:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_account_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_approval_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_documents:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_documents_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_payment_term_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_product_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_qbo_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_rfq_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        procurement_service_items_retainer_settings:
          type: string
          enum:
            - edit
            - view
            - no_access
        review_items:
          type: string
          enum:
            - 'on'
            - 'off'
        revisions:
          type: string
          enum:
            - 'on'
            - 'off'
        role_management:
          type: string
          enum:
            - edit
            - view
            - no_access
        sharing:
          type: string
          enum:
            - edit
            - view
            - no_access
        template_configuration:
          type: string
          enum:
            - edit
            - view
            - no_access
        upload_and_update_data:
          type: string
          enum:
            - 'on'
            - 'off'
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````